Debian Bug report logs - #657452
RFP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Bao Haojun" <baohaojun@gmail.com>

Date: Thu, 26 Jan 2012 12:05:34 UTC

Severity: wishlist

Merged with 657453

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bao Haojun <baohaojun@gmail.com>:
Bug#657452; Package wnpp. (Thu, 26 Jan 2012 12:05:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bao Haojun" <baohaojun@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Bao Haojun <baohaojun@gmail.com>. (Thu, 26 Jan 2012 12:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Bao Haojun" <baohaojun@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.
Date: Thu, 26 Jan 2012 20:02:30 +0800
Package: wnpp
Severity: wishlist
Owner: Bao Haojun <baohaojun@gmail.com>

* Package name    : beagrep
  Version         : x.y.z
  Upstream Author : Name <somebody@example.org>
* URL             : http://baohaojun.github.com/beagrep.html
* License         : MIT/X, Apache
  Programming Lang: C#, Perl, Bash
  Description     : beagrep = beagle + grep. 

beagrep use beagle first to decide the (relatively a lot smaller) set of
possible matching files, then run grep on this set only. Thus greatly
improve grep speed.

-- 
All the best

 Bao Haojun




Merged 657452 657453 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 07:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bao Haojun <baohaojun@gmail.com>:
Bug#657452; Package wnpp. (Fri, 16 Aug 2013 17:06:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bao Haojun <baohaojun@gmail.com>. (Fri, 16 Aug 2013 17:06:20 GMT) Full text and rfc822 format available.

Message #12 received at 657452@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 657452@bugs.debian.org
Cc: control@bugs.debian.org
Subject: beagrep: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 18:58:54 +0200
retitle 657452 RFP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.
noowner 657452
tag 657452 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging beagrep. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of beagrep back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 14 months.

If you are still interested in packaging beagrep, please send a mail to
<control@bugs.debian.org> with:

 retitle 657452 ITP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.
 owner 657452 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <657452@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.' from 'ITP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:13:44 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Bao Haojun <baohaojun@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:13:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657452; Package wnpp. (Sat, 31 Aug 2013 15:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 31 Aug 2013 15:51:09 GMT) Full text and rfc822 format available.

Message #21 received at 657452@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Bao Haojun <baohaojun@gmail.com>, 657452@bugs.debian.org
Subject: Re: Bug#657452: ITP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.
Date: Sat, 31 Aug 2013 17:49:30 +0200
Hi Bao,

thanks for wanting to contribute to Debian.

I though see one big issue with beagrep with regards to its inclusion
in Debian:

Bao Haojun wrote on Thu, 26 Jan 2012 12:05:34 UTC:
> * Package name    : beagrep
> * URL             : http://baohaojun.github.com/beagrep.html
>   Programming Lang: C#, Perl, Bash
>   Description     : beagrep = beagle + grep. 
> 
> beagrep use beagle first to decide the (relatively a lot smaller) set of
> possible matching files, then run grep on this set only. Thus greatly
> improve grep speed.

The Beagle desktop search engine has been removed from Debian in 2010
due to being unmaintained upstream and buggy. See
http://bugs.debian.org/579567 for details.

According to https://en.wikipedia.org/wiki/Beagle_(software) upstream
development ceased already in 2009 and the former project website
(http://www.beagle-project.org/) now belongs to a different project.

From the package description and website it seems that beagrep is
quite tied to using Beagle as backend.

Looking at commits like
https://github.com/baohaojun/beagrep/commit/f0114da60 and the code it
touched, it seems as if you include a (now renamed) copy of Beagle's
source code.

So I wonder if this is more or less an unmodified copy of Beagle of if
you took over maintenance of the Beagle engine's source code yourself.
Given that the only commit in
https://github.com/baohaojun/beagrep/commits/master/BeagrepClient is a
renaming from two years ago, the Beagle code looks quite original and
still unmaintained.

Just embedding Beagle's source into your project doesn't make the
issues mentioned in http://bugs.debian.org/579567 go away, they're
just hidden, at least to some extent.

Such issues are the reason why Debian strongly discourages the
inclusion of embedded code copies. See
http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles
for the reasoning.

It seems to me that the only desktop search engine currently shipped
with Debian is Doodle (http://www.gnunet.org/doodle/,
http://packages.debian.org/stable/doodle) -- maybe you can use Doodle
as backend instead, or perhaps as additional backend.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657452; Package wnpp. (Mon, 02 Sep 2013 03:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bao Haojun" <baohaojun@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Sep 2013 03:21:04 GMT) Full text and rfc822 format available.

Message #26 received at 657452@bugs.debian.org (full text, mbox):

From: "Bao Haojun" <baohaojun@gmail.com>
To: Axel Beckert <abe@debian.org>
Cc: 657452@bugs.debian.org
Subject: Re: Bug#657452: ITP: beagrep -- beagrep = beagle + grep. It use beagle to find the set of possible matching files, then runs grep on this set only.
Date: Mon, 02 Sep 2013 11:15:59 +0800
Hi, Axel

Thanks for your information. Hopefully I can do some clarification, I
really hope beagrep can make it into Debian.

Axel Beckert <abe@debian.org> writes:

> Hi Bao,
>
> thanks for wanting to contribute to Debian.
>
> I though see one big issue with beagrep with regards to its inclusion
> in Debian:
>
> Bao Haojun wrote on Thu, 26 Jan 2012 12:05:34 UTC:
>> * Package name    : beagrep
>> * URL             : http://baohaojun.github.com/beagrep.html
>>   Programming Lang: C#, Perl, Bash
>>   Description     : beagrep = beagle + grep. 
>> 
>> beagrep use beagle first to decide the (relatively a lot smaller) set of
>> possible matching files, then run grep on this set only. Thus greatly
>> improve grep speed.
>
> The Beagle desktop search engine has been removed from Debian in 2010
> due to being unmaintained upstream and buggy. See
> http://bugs.debian.org/579567 for details.

Yes I am aware of this situation myself. I found out about beagle in
Ubuntu and couldn't find it in Debian around 2009 (it's when it has been
removed from Debian but not from Ubuntu yet).

I have been removing a lot of feature from beagle to make beagrep. For
e.g., all plugins (firefox, thunderbird etc.) are removed because they
are not at all useful for reading source code, which is beagrep's sole
purpose. Also removed inotify code, because there is no need to watch
the code files at realtime (as is desired by a desktop search
engine). None of the GUI/Daemon code is needed for beagrep, thus also
removed.

With so much code/feature removed, I hope there will be less bugs
remaining in beagrep than beagle. And the remaining bugs will cause less
risk. But these are only my wishful thinking:-)

Also another change I made to beagle is its tokenizer. As a desktop
search engine, beagle needs some fuzziness: HOPING and HOPE should be
treated as the same word; but this is very undesirable for soure code
reading.

>
> According to https://en.wikipedia.org/wiki/Beagle_(software) upstream
> development ceased already in 2009 and the former project website
> (http://www.beagle-project.org/) now belongs to a different project.

Yes I think this is sad.
>
> From the package description and website it seems that beagrep is
> quite tied to using Beagle as backend.
>
> Looking at commits like
> https://github.com/baohaojun/beagrep/commit/f0114da60 and the code it
> touched, it seems as if you include a (now renamed) copy of Beagle's
> source code.
>
> So I wonder if this is more or less an unmodified copy of Beagle of if
> you took over maintenance of the Beagle engine's source code yourself.
> Given that the only commit in
> https://github.com/baohaojun/beagrep/commits/master/BeagrepClient is a
> renaming from two years ago, the Beagle code looks quite original and
> still unmaintained.

It's because I did the renaming AFTER the above mentioned changes
(removing features). This way the git log won't show earlier changes I
made to BeagleClient if you run =git log --name-status BeagrepClient/=
because of the renaming. I admit that I have not planned it very
well. Given that beagle is not actively maintained anymore, and I am
making a lot of changes (mostly removing) to beagle, I should have done
the renaming at the beginning.

So I think beagrep is a fork from beagle, and there is no merging back.

(You can view some removal I made to BeagleClient at
https://github.com/baohaojun/beagrep/commit/e448971c1a1e0e7bca3a6193b8df7c5696f7eb70).

>
> Just embedding Beagle's source into your project doesn't make the
> issues mentioned in http://bugs.debian.org/579567 go away, they're
> just hidden, at least to some extent.
>
> Such issues are the reason why Debian strongly discourages the
> inclusion of embedded code copies. See
> http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles
> for the reasoning.

Yes, and I have noticed that it is especially bad if the embedded code
is itself actively shipped with Debian. Which is not the case with
beagle.

>
> It seems to me that the only desktop search engine currently shipped
> with Debian is Doodle (http://www.gnunet.org/doodle/,
> http://packages.debian.org/stable/doodle) -- maybe you can use Doodle
> as backend instead, or perhaps as additional backend.

Thank you for this information. I only knew another search engine named
tracker which is also shipped with Debian. But it's unlikely I will find
enough time and motive to fine-tune another general search engine into
one for solely code reading. Sorry.

>
> 		Regards, Axel

-- 
All the best

 Bao Haojun



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:01:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.